%% setData
%   set the gui data object based on inputed data structure
% inputs:
%   obj:GUI - GUI object
%   Data:Data - Data object
% outputs:
%   object:GUI - object that is created
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = setData(object,Data)
object.Data = Data;
object.Grid0 = Data.Grid0;
object.Grid1 = Data.Grid1;
object.Grid2 = Data.Grid2;
object.pvs_checked = Data.checked;
object.function_name_text = Data.function_name;
object.function_inputs_text = Data.function_inputs;
object.multi_mode = Data.multi_mode;
if isempty(object.multi_mode)
    object.multi_mode = 0;
end
end

